/*!
	@file
	@brief	タイマクラスのベース
*/

#ifndef CTimer_h
#define CTimer_h

#include"../Setup/CompileMode.h"
#include<boost/smart_ptr.hpp>

namespace Maid
{
	class ITimer
	{
	public:
		virtual ~ITimer(){}

		//! 現在時刻の取得
		/*!
			@return 現在時刻(ミリ秒)
		 */
		virtual unt Get() const=0;

		//! スリープする
		/*!
			@param time [i ]	スリープする時間
		 */
		virtual void Sleep( unt time ) = 0;
	};

	typedef	boost::shared_ptr<ITimer>	SPTIMER;

}


#endif
